<?php
/**
 * The template for displaying single posts.
 *
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?> <?php shesha_article_schema( 'CreativeWork' ); ?>>
	<div class="inside-article">
		<?php
		/**
		 * shesha_before_content hook.
		 *
		 *
		 * @hooked shesha_featured_page_header_inside_single - 10
		 */
		do_action( 'shesha_before_content' );
		?>

		<header class="entry-header">
			<?php
			/**
			 * shesha_before_entry_title hook.
			 *
			 */
			do_action( 'shesha_before_entry_title' );

			if ( shesha_show_title() ) {
				the_title( '<h1 class="entry-title" itemprop="headline">', '</h1>' );
			}

			/**
			 * shesha_after_entry_title hook.
			 *
			 *
			 * @hooked shesha_post_meta - 10
			 */
			do_action( 'shesha_after_entry_title' );
			?>
		</header><!-- .entry-header -->

		<?php
		/**
		 * shesha_after_entry_header hook.
		 *
		 *
		 * @hooked shesha_post_image - 10
		 */
		do_action( 'shesha_after_entry_header' );
		?>

		<div class="entry-content" itemprop="text">
			<?php
			the_content();

			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'shesha' ),
				'after'  => '</div>',
			) );
			?>
		</div><!-- .entry-content -->

		<?php
		/**
		 * shesha_after_entry_content hook.
		 *
		 *
		 * @hooked shesha_footer_meta - 10
		 */
		do_action( 'shesha_after_entry_content' );

		/**
		 * shesha_after_content hook.
		 *
		 */
		do_action( 'shesha_after_content' );
		?>
	</div><!-- .inside-article -->
</article><!-- #post-## -->
